Theskyx first light Mac installation error

Asked By 10 points N/A Posted on -
qa-featured

I'm having trouble installing Theskyx first light mac.  I have Mac OSx Tiger (10.4) and upon installing, I get "your system doesn't meet the requirements".  Is this a bug on the installer?

SHARE
Answered By 0 points N/A #145993

Theskyx first light Mac installation error

qa-featured

Good day Taylor,

As for your question if that is a bug in the installer, yes it is. Visit the forum below (you should first register – it's free) so that you can get the solution from the developer himself via email. Once you do, he will email you with a URL to download TheSkyX First Light Full Installation for Mac (approximately 300MB).

http://www.bisque.com/sc/msgs/default.aspx?MessageID=31

Hope it helps,
Korber Owen

Login/Register to Answer

Related Questions